Bug 853834 - Login screen says [Invalid UTF-8]
Login screen says [Invalid UTF-8]
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 01:44 EDT by Stef Walter
Modified: 2015-02-17 09:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:26:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2012-09-03 01:44:00 EDT
Description of problem:

When I clock on my name in gdm, the login screen says '[Invalid UTF-8]', and then goes back to a state where only the icon is shown. At this point the login greeter is locked up.

The view of the screen at this point is visible in the video attached to bug #853832.

Clicking the restart icon in the upper left corner produces a menu. However selecting restart results in a completely blank screen and no restart of the machine.

At that point pressing Ctrl-F2 to get to another VT does not work. Pressing Capslock does change the capslock state on the keyboard.

Running chvt has no effect on the screen.

Version-Release number of selected component (if applicable):

Name        : gdm
Arch        : x86_64
Epoch       : 1
Version     : 3.5.90
Release     : 1.fc18

How reproducible:

Every time.

Steps to Reproduce:
1. Boot machine. Press enter when login name is selected.
  
Actual results:

Login fails.

Expected results:

Login proceeds.


Contents of /var/log/gdm/:0-greeter.log:


libGL error: failed to load driver: nouveau
libGL error: Try again with LIBGL_DEBUG=verbose for more details.
org.gtk.vfs.MountTracker.listMountableInfo call failed: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.gtk.vfs.MountTracker' on object at path /org/gtk/vfs/mounttracker (g-dbus-error-quark, 19)
Gtk-Message: Not loading module "atk-bridge": The functionality is provided by GTK natively. Please try to not load it.
Gtk-Message: Not loading module "atk-bridge": The functionality is provided by GTK natively. Please try to not load it.
libGL error: failed to load driver: nouveau
libGL error: Try again with LIBGL_DEBUG=verbose for more details.
      JS LOG: pushModal: invocation of begin_modal failed
      JS LOG: GNOME Shell started at Mon Sep 03 2012 07:29:38 GMT+0200 (CEST)
Window manager warning: CurrentTime used to choose focus window; focus window may not be correct.
Window manager warning: Got a request to focus the no_focus_window with a timestamp of 0.  This shouldn't happen!
    JS ERROR: !!!   Exception was: Gio.IOErrorEnum: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code36: GDBus.Error:org.gnome.DisplayManager.SessionWorker.Error.OutstandingRequest: Cannot process state change to SETUP_COMPLETE, as there is already an outstanding request to move to state SETUP_COMPLETE
    JS ERROR: !!!     message = '"GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code36: GDBus.Error:org.gnome.DisplayManager.SessionWorker.Error.OutstandingRequest: Cannot process state change to SETUP_COMPLETE, as there is already an outstanding request to move to state SETUP_COMPLETE"'
    JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/gdm/util.js"'
    JS ERROR: !!!     lineNumber = '186'
    JS ERROR: !!!     stack = '"0 anonymous("result" = [object _private_Gio_SimpleAsyncResult], "obj" = [object _private_Gdm_UserVerifierProxy])@/usr/share/gnome-shell/js/gdm/util.js:186
"'
      JS LOG: error: [Invalid UTF-8]
    JS ERROR: !!!   Exception was: Gio.IOErrorEnum: Operation was cancelled
    JS ERROR: !!!     message = '"Operation was cancelled"'
    JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/gdm/util.js"'
    JS ERROR: !!!     lineNumber = '161'
    JS ERROR: !!!     stack = '"0 anonymous("result" = [object _private_Gio_SimpleAsyncResult], "client" = [object _private_Gdm_Client])@/usr/share/gnome-shell/js/gdm/util.js:161
1 wrapper([object _private_Gdm_Client], [object _private_Gio_SimpleAsyncResult])@/usr/share/gjs-1.0/lang.js:204
Comment 1 Christian Klomp 2012-11-30 12:18:47 EST
This bug is reproducible with F18.
Comment 2 Christoph Bodner 2012-12-03 07:31:22 EST
I could also reproduce this bug in Fedora-18-beta. Then I discovered the following workaround when typing in as root:

    # localectl set-locale LANG=en_US.utf8

Before that, it was "UTF-8" instead of "utf8" and 'locale' still says:

    LANG=en_US.UTF-8

So I am a bit confused when to spell UTF-8 and when utf8 in configuration strings. At least we can prove now that 'localectl' is involved with this bug.
Comment 3 Christoph Bodner 2012-12-03 09:14:06 EST
In addition to the workaround described above, I should have mentioned that I had to do some additional steps:

    # cd /etc/X11 && grep -r UTF-8

Then two files appeared and I changed "UTF-8" to "utf8" everywhere. And, of course, after a new login 'locale' said: LANG=en_US.utf8

Therefore, I would suggest that all package maintainers make a decision of what to use in the future, either UTF-8 or utf8 but not both versions intermixed. Many programs (e.g. browsers) understand both versions and it was certainly a good idea GDM could do the same.

For completeness, I must admit that I did a yum distro-sync from Fedora 17 to 18. Maybe a fresh installation works better. LiveCD uses LightDM instead of GDM which does not have this bug.
Comment 4 Christian Klomp 2012-12-05 12:47:50 EST
The workaround works but in my case gdm still failed (no UTF or encoding message any more though) because of a autologon bug (https://bugzilla.redhat.com/show_bug.cgi?id=881896).

I did also upgrade from F17 to F18 but also see this in a F18 vm (which is not a F17 upgrade).
Comment 5 Fedora End Of Life 2013-04-03 13:29:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora End Of Life 2015-01-09 12:21:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 09:26:53 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.